/*
		RoomQuery.cpp : implementation file
        Copyright (C) 2000 Patrick Dughi

        This software may be used and distributed according to the terms
        of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

        The author may be reached at dughi@imaxx.net.

.		Class to match dialog of the same name.
	
*/

#include "stdafx.h"
#include "Cbreak.h"
#include "RoomQuery.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// RoomQuery dialog


RoomQuery::RoomQuery(CWnd* pParent /*=NULL*/)
	: CDialog(RoomQuery::IDD, pParent)
{
	//{{AFX_DATA_INIT(RoomQuery)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void RoomQuery::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(RoomQuery)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(RoomQuery, CDialog)
	//{{AFX_MSG_MAP(RoomQuery)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// RoomQuery message handlers

BOOL RoomQuery::OnInitDialog() 
{
	CDialog::OnInitDialog();
	map<int,Room>::const_iterator oi;
    extern World the_world;

  if(!the_world.room_list.empty()) {
    for(oi = the_world.room_list.begin();oi != the_world.room_list.end();oi++) {
	   ((CComboBox *) GetDlgItem(IDC_QUERY_ROOM))->AddString(
				iprintf("%d - %s ",oi->first,oi->second.name.c_str()));
		}
		oi=the_world.room_list.begin();
	  ((CComboBox *) GetDlgItem(IDC_QUERY_ROOM))->SelectString(-1,
			iprintf("%d - %s ",oi->first, oi->second.name.c_str()));
	}
 
  if(!the_world.room_list.size()) {
		GetDlgItem(IDC_QUERY_ROOM)->EnableWindow(FALSE);
  } else {
		GetDlgItem(IDC_QUERY_ROOM)->EnableWindow(TRUE);
  }
	
	return TRUE; 
}

void RoomQuery::OnOK() 
{
	int count;
  char buf[512];
  char *p;
	count=((CComboBox *) GetDlgItem(IDC_QUERY_ROOM))->GetCurSel();
	((CComboBox *) GetDlgItem(IDC_QUERY_ROOM))->GetLBText(count,buf);
  p=strchr(buf,' ');
	*p='\0';
	value = atoi(buf);

	CDialog::OnOK();
}
