/*
		SpellQuery.cpp : implementation file
        Copyright (C) 2000 Patrick Dughi

        This software may be used and distributed according to the terms
        of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

        The author may be reached at dughi@imaxx.net.

.		Class to match dialog of the same name.
	
*/

#include "stdafx.h"
#include "Cbreak.h"
#include "SpellQuery.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// SpellQuery dialog


SpellQuery::SpellQuery(char *title, char *query, int initial,CWnd* pParent /*=NULL*/)
	: CDialog(SpellQuery::IDD, pParent)
{
	//{{AFX_DATA_INIT(SpellQuery)
	m_spell = translate_back(initial);
	m_query_string = query;
	//}}AFX_DATA_INIT
	value=initial;
}


void SpellQuery::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(SpellQuery)
	DDX_CBIndex(pDX, IDC_SPELL_LIST, m_spell);
	DDX_Text(pDX, IDC_QUERY_STRING, m_query_string);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(SpellQuery, CDialog)
	//{{AFX_MSG_MAP(SpellQuery)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// SpellQuery message handlers


/* nuts. translation time */

extern int spell_translate[];

void SpellQuery::OnOK() 
{
	UpdateData(TRUE);	  
    value=spell_translate[m_spell];
	CDialog::OnOK();	

}

int SpellQuery::translate_back(int spell)
{
  int i;

  for(i=0;i < NUM_OF_SPELLS+1;i++) {
	  if(spell == spell_translate[i]) {
		  return i;
	  }
  }
  return 0;
}
