#if !defined(AFX_ZEDIT_H__4512D763_9169_4182_A413_5D3830B4E980__INCLUDED_)
#define AFX_ZEDIT_H__4512D763_9169_4182_A413_5D3830B4E980__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Zedit.h : header file
//
#pragma warning(disable:4786)
#include "Cbreak.h"
#include "SortDragListBox.h"
#include "ImprovedEdit.h"
/////////////////////////////////////////////////////////////////////////////
// Zedit dialog

class Zedit : public CPropertyPage
{
	DECLARE_DYNCREATE(Zedit)

// Construction
public:
	void disable_zedit(int all);

	void LoadZedit();
	Zedit();
	~Zedit();

// Dialog Data
	//{{AFX_DATA(Zedit)
	enum { IDD = IDD_ZONEEDIT };
	ImprovedEdit	e_zone_name;
	ImprovedEdit	e_room_name;
	CButton	m_room_number;
	CSortDragListBox	m_zcmd_list;
	int		m_zone_number;
	int		m_zone_lifespan;
	int		m_reset_mode;
	CString	m_zone_name;
	CString	m_zone_range;
	CString	m_room_name;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(Zedit)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(Zedit)
	afx_msg void OnZoneNum();
	afx_msg void OnEditchangeResetMode();
	afx_msg void OnChangeZoneName();
	afx_msg void OnChangeZoneLifespan();
	afx_msg void OnChangeRoomName();
	afx_msg void OnNextZone();
	afx_msg void OnNextZonez();
	afx_msg void OnPreviousZone();
	afx_msg void OnPreviousZonez();
	afx_msg void OnDblclkZcmdList();
	afx_msg void OnZcmdAdd();
	afx_msg void OnZcmdEdit();
	afx_msg void OnZcmdDelete();
	afx_msg void OnZcmdSave();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZEDIT_H__4512D763_9169_4182_A413_5D3830B4E980__INCLUDED_)
