// World.h: interface for the World class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WORLD_H__7600691A_A129_473C_9F79_0A46FC13D920__INCLUDED_)
#define AFX_WORLD_H__7600691A_A129_473C_9F79_0A46FC13D920__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// disable long warnings for +255 char strings.

#pragma warning(disable:4786) 

#include <map>
#include <list>
#include "Room.h"
#include "Zone_Data.h"
#include "Mob.h"
#include "Obj.h"
#include "Shop.h"

using namespace std;

class World  
{
public:
	void save_zone(int zn);
	int more_doors;
	void boot_world();
	World();
	virtual ~World();
	int max_room;
	int max_zone;
	map<int,Room> room_list;
	map<int,Mob> mob_list;
	map<int,Zone_Data> zone_list;
	map<int,Obj> obj_list;
	map<int,Shop> shop_list;
	list<int> zon_files;
	list<int> wld_files;
	list<int> mob_files;
	list<int> obj_files;
	list<int> shp_files;
};

#endif // !defined(AFX_WORLD_H__7600691A_A129_473C_9F79_0A46FC13D920__INCLUDED_)
